com.abbyy.mobile.rtr

## Interface IDataCaptureCoreAPI

- All Superinterfaces:
    java.lang.AutoCloseable

      public interface IDataCaptureCoreAPI
      extends java.lang.AutoCloseable

  A data capture core api interface.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `IDataCaptureCoreAPI.Callback` Callback for data capture methods.
    `static class` | `IDataCaptureCoreAPI.CharInfo` Extended information about the character.
    `static interface` | `IDataCaptureCoreAPI.DataCaptureSettings` Basic settings applicable to most methods
    `static class` | `IDataCaptureCoreAPI.DataField` A field of data; the location and additional information are also available.
    `static interface` | `IDataCaptureCoreAPI.ExtendedSettings` Extended configuration settings.
    `static interface` | `IDataCaptureCoreAPI.ProcessingSettings` Basic settings applicable to most methods
    `static class` | `IDataCaptureCoreAPI.Warning` Warnings

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CHAR_ATTRIBUTE_UNCERTAIN` Char Attributes

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Release all resources.
    `IDataCaptureCoreAPI.DataField[]` | `extractDataFromImage(android.graphics.Bitmap image, IDataCaptureCoreAPI.Callback callback)` Extract data from image
    `IDataCaptureCoreAPI.DataCaptureSettings` | `getDataCaptureSettings()` Setting for data capture
    `IDataCaptureCoreAPI.ExtendedSettings` | `getExtendedSettings()` Extended configuration settings.
    `IDataCaptureCoreAPI.ProcessingSettings` | `getProcessingSettings()` Basic settings applicable to most methods

- - ### Field Detail

    - #### CHAR_ATTRIBUTE_UNCERTAIN

          static final int CHAR_ATTRIBUTE_UNCERTAIN

      Char Attributes
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### extractDataFromImage

          IDataCaptureCoreAPI.DataField[] extractDataFromImage(android.graphics.Bitmap image,
                                                               IDataCaptureCoreAPI.Callback callback)

      Extract data from image
      Parameters:
        `image` - Image to recognize.
        `callback` - Implementation of the `RecognitionCallback` interface. Is called during the recognition to track the recognition progress.
      Returns:
        array of `DataField` object

    - #### close

          void close()

      Release all resources.
      Specified by:
        `close` in interface `java.lang.AutoCloseable`

    - #### getDataCaptureSettings

          IDataCaptureCoreAPI.DataCaptureSettings getDataCaptureSettings()

      Setting for data capture
      Returns:
        `DataCaptureSettings` object

    - #### getProcessingSettings

          IDataCaptureCoreAPI.ProcessingSettings getProcessingSettings()

      Basic settings applicable to most methods
      Returns:
        processing settings

    - #### getExtendedSettings

          IDataCaptureCoreAPI.ExtendedSettings getExtendedSettings()

      Extended configuration settings. Settings for advanced users. Not used in typical scenarios
      Returns:
        extended service configuration settings